using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace AlarmClockControlLibrary {
  [TypeConverter(typeof(MessageToSelfConverter))]
  public class MessageToSelf {

    DateTime occurence = DateTime.Now;
    string message = "";

    public MessageToSelf() { }
    public MessageToSelf(DateTime occurence, string message) {
      this.message = message;
      this.occurence = occurence;
    }

    public DateTime Occurence {
      get { return this.occurence; }
      set { this.occurence = value; }
    }

    public string Message {
      get { return this.message; }
      set { this.message = value; }
    }
  }
}
