﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ApplicationSettingsSample {
  partial class ReadSettingsForm : Form {
    public ReadSettingsForm() {
      InitializeComponent();
    }

    private void ReadSettingsForm_Load(object sender, EventArgs e) {
      // Enumerating all settings
      foreach( SettingsProperty setting in Properties.Settings.Default.Properties ) {
        ListViewItem lvi = new ListViewItem(new string[] { setting.Name, setting.PropertyType.ToString(), setting.DefaultValue.ToString() });
        this.settingsListView.Items.Add(lvi);
      }
    }
  }
}