﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ApplicationSettingsSample {
  partial class ReadSettingsValuesForm : Form {
    public ReadSettingsValuesForm() {
      InitializeComponent();
    }

    private void ReadSettingsValuesForm_Load(object sender, EventArgs e) {
      // One off settings inspection
      int highScore = Properties.Settings.Default.HighScore;

      // Enumerating all values
      foreach( SettingsPropertyValue value in Properties.Settings.Default.PropertyValues ) {
        ListViewItem lvi = new ListViewItem(new string[] {value.Name, 
                                                          value.PropertyValue.ToString(),
                                                          value.IsDirty.ToString()});
        this.settingsListView.Items.Add(lvi);
      }
    }
  }
}