using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RunTimeSettingsSample {
  public partial class CommandLineForm : Form {
    public CommandLineForm() {
      InitializeComponent();

      bool flag = false;
      string name = "";
      int number = 0;

      string[] args = Environment.GetCommandLineArgs();

      // *Very* simple command line parsing
      for( int i = 1; i != args.Length; ++i ) {
        switch( args[i] ) {
          case "/flag": flag = true; break;
          case "/name": name = args[i]; break;
          case "/number": number = i; break;
          default: MessageBox.Show("Invalid args!"); return;
        }

        this.commandLineArgsListBox.Items.Add(args[i]);
      }

      MessageBox.Show(flag.ToString(), "flag");
      MessageBox.Show(name, "name");
      MessageBox.Show(number.ToString(), "number");

    }
  }
}