using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Reflection;
using System.Text;
using System.Windows.Forms;

namespace RunTimeSettingsSample {
  public partial class EnvironmentForm : Form {
    public EnvironmentForm() {
      InitializeComponent();
    }

    private void MainForm_Load(object sender, EventArgs e) {
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "CommandLine", Environment.CommandLine.Replace(Environment.UserName, "Elvis") }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "CurrentDirectory", Environment.CurrentDirectory.Replace(Environment.UserName, "Elvis") }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "ExitCode", Environment.ExitCode.ToString() }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "HasShutdownStarted", Environment.HasShutdownStarted.ToString() }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "MachineName", Environment.MachineName.Replace(Environment.UserName.ToUpper(), "ELVIS") }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "NewLine", Environment.NewLine }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "OSVersion", Environment.OSVersion.VersionString }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "ProcessorCount", Environment.ProcessorCount.ToString() }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "StackTrace", Environment.StackTrace.ToString() }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "SystemDirectory", Environment.SystemDirectory.Replace(Environment.UserName, "Elvis") }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "TickCount", Environment.TickCount.ToString() }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "UserDomainName", Environment.UserDomainName.Replace(Environment.UserName.ToUpper(), "ELVIS") }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "UserInteractive", Environment.UserInteractive.ToString() }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "UserName", Environment.UserName.Replace(Environment.UserName, "Elvis") }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "Version", Environment.Version.ToString() }));
      this.environmentSettingsListView.Items.Add(
        new ListViewItem(new string[] { "WorkingSet", Environment.WorkingSet.ToString() }));
    }
  }
}

