using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Microsoft.Win32;

namespace RunTimeSettingsSample {
  public partial class MainForm : Form {
    public MainForm() {
      InitializeComponent();

      SystemEvents.UserPreferenceChanged += SystemEvents_UserPreferenceChanged;
    }

    void SystemEvents_UserPreferenceChanged(object sender, UserPreferenceChangedEventArgs e) {
      // Handle user system setting change
    }

    private void applicationButton_Click(object sender, EventArgs e) {
      (new ApplicationForm()).ShowDialog();
    }

    private void environmentButton_Click(object sender, EventArgs e) {
      (new EnvironmentForm()).ShowDialog();
    }

    private void specialFoldersButton_Click(object sender, EventArgs e) {
      (new SpecialFoldersForm()).ShowDialog();
    }

    private void commandLineButton_Click(object sender, EventArgs e) {
      (new CommandLineForm()).ShowDialog();
    }
  }
}