using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AppliedDataBindingSample {
  public partial class MainForm : Form {
    public MainForm() {
      InitializeComponent();
    }

    private void typedDataSetDataBindingFormButton_Click(object sender, EventArgs e) {
      (new TypeDataSetDataBindingForm()).ShowDialog();
    }

    private void itemUIButton_Click(object sender, EventArgs e) {
      (new ItemUIForm()).ShowDialog();
    }

    private void listUIButton_Click(object sender, EventArgs e) {
      (new ListUIForm()).ShowDialog();
    }

    private void dataViewButton_Click(object sender, EventArgs e) {
      (new DataViewForm()).ShowDialog();
    }

    private void masterDetailsButton_Click(object sender, EventArgs e) {
      (new MasterDetailsForm()).ShowDialog();
    }

    private void masterDetailsRacesDriversButton_Click(object sender, EventArgs e) {
      (new MasterDetailsRacesDriversForm()).ShowDialog();
    }
    
    private void listEditButton_Click(object sender, EventArgs e) {
      (new EmployeesListForm()).ShowDialog();
    }

    private void hierarchicalUIButton_Click(object sender, EventArgs e) {
      (new HierarchicalDataForm()).ShowDialog();
    }
    
    private void customLoadingAndSavingButton_Click(object sender, EventArgs e) {
      (new DataSourceComponentForm()).ShowDialog();
    }

    private void multipleDataContextsButton_Click(object sender, EventArgs e) {
      (new MultipleDataContextsForm()).ShowDialog();
    }
  }
}