﻿#region Using directives

using System;
using System.Collections.Generic;
using System.Windows.Forms;

#endregion

namespace EnvironmentSample {
  static class Program {
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main(string[] args) {

      bool flag = false;
      string name = "";
      int number = 0;

      // *Very* simple command line parsing
      for( int i = 0; i != args.Length; ++i ) {
        switch( args[i] ) {
          case "/flag": flag = true; break;
          case "/name": name = args[i]; break;
          case "/number": number = i; break;
          default: MessageBox.Show("invalid args!"); return;
        }
      }

      MessageBox.Show(flag.ToString(), "flag");
      MessageBox.Show(name, "name");
      MessageBox.Show(number.ToString(), "number");

      Application.EnableVisualStyles();
      Application.SetCompatibleTextRenderingDefault(false);
      Application.Run(new MainForm());
    }
  }
}