﻿#region Using directives

using System;
using System.Collections.Generic;
using System.Text;

#endregion

namespace SingleMDISample {
  public class ThreadSafeObjectProvider<T> {
    private T threadStaticValue;
    public T GetInstance {
      get { 
        if( threadStaticValue == null ) {
          threadStaticValue = Activator.CreateInstance<T>();
        }
        return threadStaticValue;
      }
    }
  }
}
