using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RunTimeSettingsSample {
  public partial class ApplicationForm : Form {
    public ApplicationForm() {
      InitializeComponent();
    }

    private void MainForm_Load(object sender, EventArgs e) {
    
    
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "CommonAppDataPath", Application.CommonAppDataPath.Replace(Environment.UserName, "Elvis") }));
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "CommonAppDataRegistry", Application.CommonAppDataRegistry.Name.Replace(Environment.UserName, "Elvis") }));
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "CurrentCulture", Application.CurrentCulture.Name }));
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "CurrentInputLanguage", Application.CurrentInputLanguage.LayoutName })); 
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "ExecutablePath", Application.ExecutablePath.Replace(Environment.UserName, "Elvis") }));
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "LocalUserAppDataPath", Application.LocalUserAppDataPath.Replace(Environment.UserName, "Elvis") }));
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "OpenForms", Application.OpenForms.Count.ToString() }));
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "SafeTopLevelCaptionFormat", Application.SafeTopLevelCaptionFormat }));
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "StartupPath", Application.StartupPath.Replace(Environment.UserName, "Elvis") }));
      this.applicationSettingsListView.Items.Add(
        new ListViewItem(new string[] { "UserAppDataPath", Application.UserAppDataPath.Replace(Environment.UserName, "Elvis") }));
      this.applicationSettingsListView.Items.Add(
       new ListViewItem(new string[] { "UserAppDataRegistry", Application.UserAppDataRegistry.Name.Replace(Environment.UserName, "Elvis") }));
    }
  }
}