﻿#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

#endregion

namespace StandardGraphicsControlsSample {
  partial class StandardGraphicsControlsSampleForm : Form {
    public StandardGraphicsControlsSampleForm() {
      InitializeComponent();

      this.pictureBox1.Image = new Bitmap(@"c:\windows\zapotec.bmp");
      this.printPreviewControl.Document = this.printDocument;
    }

    int i = 1;
    private void printDocument_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e) {
      // Draw to the e.Graphics object that wraps the print target
      Graphics g = e.Graphics;
      using( Font font = new Font("Lucida Console", 72) ) {
        g.DrawString("Hello,\nPrinter\nPage " + i.ToString(), font, Brushes.Black, 0, 0);
      }
      ++i;
      e.HasMorePages = (i <= 2);
    }

    private void previousButton_Click(object sender, EventArgs e) {
    if(this.printPreviewControl.StartPage > 0) this.printPreviewControl.StartPage--;
    }

    private void nextButton_Click(object sender, EventArgs e) {
      this.printPreviewControl.StartPage++;
    }
  }
}