﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Windows.Forms;

using Microsoft.Win32;

namespace SDIRatesOfReturn {
  static class Program {
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main(string[] args) {
      Application.EnableVisualStyles();

      // Load main form, taking command line into account
      RatesOfReturnForm form = new RatesOfReturnForm();
      if( args.Length == 1 ) {
        form.OpenDocument(Path.GetFullPath(args[0]));
      }

      Application.Run(form);
    }
  }
}